using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace patterns
{
    class Program
    {
        static int totalValues(int[] values)
        {
            int total = 0;
            foreach(int value in values)
            {
                total += value;
            }

            return total;
        }

        static int totalEvenValues(int[] values)
        {
            int total = 0;
            foreach (int value in values)
            {
                if(value % 2 == 0)
                    total += value;
            }

            return total;
        }

        static int totalOddValues(int[] values)
        {
            int total = 0;
            foreach (int value in values)
            {
                if (value % 2 != 0)
                    total += value;
            }

            return total;
        }

        static void Main(string[] args)
        {
            int[] values = new int[] {1, 2, 3, 4, 5, 6};

            Console.WriteLine(totalValues(values));
            Console.WriteLine(totalEvenValues(values));
            Console.WriteLine(totalOddValues(values));
        }
    }
}
